Bug 1441198 - Error '[NoMethodError]: undefined method `base_model' for NilClass:Class' generating chargeback for container images report
Summary: Error '[NoMethodError]: undefined method `base_model' for NilClass:Class' gen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1440917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 12:27 UTC by Satoe Imaishi
Modified: 2020-06-11 13:34 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440917
Environment:
Last Closed: 2017-05-31 14:51:15 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 3 Šimon Lukašík 2017-04-11 13:14:26 UTC
ah, ignore my previous comment, this is fine bugzilla not euwe.

Comment 4 CFME Bot 2017-04-11 14:11:24 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bdeaaf101a321e0cee174262b886d08494e79db4

commit bdeaaf101a321e0cee174262b886d08494e79db4
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Apr 10 15:47:21 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 10:09:06 2017 -0400

    Merge pull request #14713 from isimluk/bz-tbd
    
    Do not pass nil to the assignment mixin
    (cherry picked from commit 17e9829704c2d19dec2787f5c7d11128bfea40b8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441198

 app/models/metric/chargeback_helper.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 errata-xmlrpc 2017-05-31 14:51:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.